FROM registry.access.redhat.com/ubi9/ubi:9.4-947.1714667021@sha256:ed84f34cd929ea6b0c247b6daef54dd79602804a32480a052951021caf429494

# set working directory
WORKDIR /usr/src/app

ENV PIPX_VERSION=1.1.0 \
    POETRY_VERSION=1.6.1 \
    DNF_OPTS="--setopt=install_weak_deps=False --setopt=tsflags=nodocs" \
    PATH="/root/.local/bin:$PATH"

RUN dnf update -y && \
    dnf install -y ${DNF_OPTS} \
                python3-pip \
                gcc \
                python3-devel \
                krb5-devel \
                git-core \
 && dnf clean all -y

RUN pip3 install --no-cache-dir pipx=="${PIPX_VERSION}"

RUN pipx ensurepath \
 && pipx install poetry=="${POETRY_VERSION}"
